#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lelang_evaluasi.home'}</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'lelang_evaluasi.info_tender'}</a></li>
</ol>
#{tabmenuLelang tahapStarted/}
<div class="content">
    <a href="@{lelang.EvaluasiCtr.index(lelang.lls_id)}" class="badge pull-right"><i class="fa fa-arrow-left"></i> &{'lelang_evaluasi.kembali_hasil_evaluasi'}</a>
    <br /><br />
    <div id="alert-persetujuan"></div>
#{form @lelang.PersetujuanCtr.pemenang(lelang.lls_id), id:'formPersetujuan'}
<table class="table table-sm">
    <tr>
        <th width="5" >No</th>
        <th>&{'lelang_evaluasi.peserta2'}</th>
        <th width="160" >#{if nego} &{'lelang_evaluasi.hg_nego2'} #{/if} #{else} &{'lelang_evaluasi.harga_terkoreksi2'} #{/else}</th>
        #{if lelang.evaluasi.nilai}
        <th width="50" >&{'lelang_evaluasi.skor_akhir'}</th>
        #{/if}
        <th width="50">&{'lelang_evaluasi.urutan'}</th>
        <th width="80">&{'lelang_evaluasi.pemenang'}</th>
    </tr>
    #{list items:evaluasi?.findPesertaList(true), as:'pesertaItem'}
    <tr>
        <td align="center">${pesertaItem_index}</td>
        <td>${pesertaItem?.peserta?.namaPeserta}</td>
        <td align="right">${pesertaItem.hargaFinal()?.rupiah()}</td>
        #{if lelang.evaluasi.nilai}
        <td align="right">${pesertaItem.nev_skor}</td>
        #{/if}
        <td align="center">${pesertaItem?.nev_urutan}</td>
        <td align="center">#{if pesertaItem.lulus}<i class="fa fa-check" /> #{/if}</td>
    </tr>
    #{/list}
</table>
<div class="form-group #{errorClass 'alasan'/}">
    <label class="col-sm-3 control-label">&{'lelang_evaluasi.alasan_tdk_setuju'}</label>
    <div class="col-sm-9">
        <textarea id="alasan" name="alasan" rows="5" class="form-control">${lelang.findPersetujuan(active_user.pegawaiId, true)?.alasan}</textarea>
        #{ifError 'alasan'}
            <span class="help-block">#{error 'alasan'/}</span>
        #{/ifError}
        #{else }
            <span class="help-block">&{'lelang_evaluasi.min_10karakter'}</span>
        #{/else}
    </div>
</div>
<button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'lelang_evaluasi.setuju'}</button>
<button type="submit" name="setuju" id="tidak_setuju" value="false" class="btn btn-danger">&{'lelang_evaluasi.tdk_setuju'}</button>
#{/form}
</div>
#{set 'custom_script'}
<script type="text/javascript">
    //pengaturan untuk tombol setuju dan tidak setuju
    $(document).ready(function() {
        btnPersetujuan($("#alasan"));
    });
    $(document).on('keyup','#alasan', function(){
        btnPersetujuan(this);
    });

    function btnPersetujuan(e){
        var val = $(e).val();
        if(val != ""){
            $("#setuju").attr("disabled", true);
            $("#tidak_setuju").attr("disabled", false);
        }else{
            $("#setuju").attr("disabled", false);
            $("#tidak_setuju").attr("disabled", true);
        }
    }
</script>
#{/set}